local TOC, CCD = ...

CCD.UI = CCD.UI or {}
CCD.UI.RadioButton = CCD.UI.RadioButton or {}

-- Aliases
local RadioButton = CCD.UI.RadioButton

function RadioButton:Create(Name, Parent, Label)
	local radioButton = UI.CreateFrame("SimpleRadioButton", Name, Parent)
	--setmetatable(radioButton, self)
	--self.__index = self

	radioButton.label:SetWordwrap(true)
	radioButton.label:SetEffectGlow(CCD.UI.DefaultTextEffectGlow)
	if Checked ~= nil then radioButton:SetChecked(Checked) end
	--radioButton:SetVisible(true)

	radioButton.BaseSetText = radioButton.SetText
	function radioButton:SetText(Text, Size, Color)
		radioButton:BaseSetText(Text)
		if Size then radioButton:SetFontSize(Size) end
		if Color then radioButton:SetFontColor(Color.R, Color.G, Color.B, Color.A) end
	end
	
	radioButton.BaseSetWidth = radioButton.SetWidth
	function radioButton:SetWidth(Width)
		radioButton.label:SetWidth(Width)
		radioButton:BaseSetWidth(radioButton.check:GetWidth() + radioButton.label:GetWidth())
	end--]]
	
	radioButton:SetText(Label, 15, CCD.UI.Color.White())

	return radioButton
end
