local addonInfo, privateVars = ...

---------- init namespace ---------

if not EnKai then EnKai = {} end
if not EnKai.unit then EnKai.unit = {} end

local lang        = privateVars.langTexts
local data        = privateVars.data

---------- init local variables ---------


---------- local function block ---------

local function _fctUnitAvailabilityHandler (_, info)

  for k, v in pairs (info) do
    if v == 'player' then
        data.playerDetails = Inspect.Unit.Detail(k)
        Command.Event.Detach (Event.Unit.Availability.Full, nil, "EnKai._fctUnitAvailabilityHandler")
        return
    end
  end
  
end

---------- library public function block ---------

function EnKai.unit.getPlayerDetails()
  
  if data.playerDetails == nil then
    data.playerDetails = Inspect.Unit.Detail('player')
    Command.Event.Detach (Event.Unit.Availability.Full, nil, "EnKai._fctUnitAvailabilityHandler")
  end
  
  return data.playerDetails
   
end

-------------------- STARTUP EVENTS --------------------

Command.Event.Attach(Event.Unit.Availability.Full, _fctUnitAvailabilityHandler, "EnKai.unit.availabilityHandler")