local TOC, CCD = ...

CCD.Debug = CCD.Debug or {}
CCD.Debug.DeveloperModeOn = false
CCD.Debug.Log = {}
CCD.Debug.Count = 0

function CCD.Debug:Record(...)
	if not CCD.Debug.DeveloperModeOn then return end
	--local fs = string.gsub(..., "% ", "%% ")
	table.insert(self.Log, "[" .. Inspect.Time.Server().. "] " .. ...)
	self.Count = self.Count + 1
end
function CCD.Debug:Print()
	local i
	if self.Count <= 100 then i = 1
	else i = self.Count - 100 end
	local text = table.concat(self.Log, "\r\n", i, self.Count)
	CCD.MainWindow.DebugTextArea:SetText(text)
end
function CCD.Debug:SetDeveloperMode(On)
	if On ~= nil then
		CCD.Debug.DeveloperModeOn = On
	else
		CCD.Debug.DeveloperModeOn = not CCD.Debug.DeveloperModeOn
	end

	if CCD.Debug.DeveloperModeOn then
		print("Developer Mode enabled.")
	else
		print("Developer Mode disabled.")
	end
end
