local TOC, CCD = ...
CCD.UI = CCD.UI or {}

function CCD.UI.CreateTitle(Name, Parent, Text, LineColor)
	local container = CCD.UI.CreateFrame(Name, Parent)	
	-- Text
	container.Text = CCD.UI.CreateText(Name .. ".Text", container)
	container.Text:SetText(Text, 20, CCD.UI.Colors.Green)
	container.Text:SetEffectGlow(CCD.UI.DefaultTextEffectGlow)
	container.Text:SetPoint("TOPLEFT", container, "TOPLEFT")
	container.Text:SetVisible(true)
	-- Texture for line	
	container.Texture = CCD.UI.CreateTexture(Name .. ".Texture", container)
	local source, texture
	if		LineColor == "YELLOWRED" then	source = "CCD" texture = "Images\\menu line.png"
	elseif	LineColor == "BlUE" then		source = "CCD" texture = "Images\\header line.png"
	else									source = "CCD" texture = "Images\\menu line.png" end
	container.Texture:SetTexture(source, texture)
	container.Texture:SetSize(container.Text:GetWidth(), 2)
	container.Texture:SetPoint("TOPLEFT", container.Text, "BOTTOMLEFT", 0, 0)
	container.Texture:SetVisible(true)
	-- determine container size
	container:SetWidth(container.Text:GetWidth())
	container:SetHeight(container.Text:GetHeight() + 0 + container.Texture:GetHeight())

	return container
end